TSSSLSERVERCERTUPDATE(3ts)

NAME
TSSslServerCertUpdate - traffic Server TLS server cert update

SYNOPSIS

            #include <ts/ts.h>

    TSReturnCode TSSslServerCertUpdate(const char *cert_path, const char *key_path)

DESCRIPTION

TSSslServerCertUpdate() updates existing server certificates configured in ssl_multicert.config based on the common name in cert_path. if key_path is set to nullptr, the function will use cert_path for both certificate and private key. TSSslServerCertUpdate() returns TS_SUCCESS only if there exists such a mapping, cert_path is a valid cert, and the context is updated to use that cert.

COPYRIGHT
2024, dev@trafficserver.apache.org